<div class="row vh-100">
  <div class="col-sm-10 col-md-8 col-lg-6 mx-auto d-table h-100">
    <div class="d-table-cell align-middle">

      <div class="text-center mt-4">
        <div class="mx-4 my-4 mx-md-5">
          <img src="/assets/img/logo-ci.svg" alt="{{ title }}">
        </div>
      </div>

      <div class="card">
        <div class="card-body">
          <div class="m-sm-4">
            <form autocomplete="off" [formGroup]="loginForm" (ngSubmit)="login()">
              <div class="mb-3">
                <label class="form-label" for="user">Usuario</label>
                <input class="form-control form-control-lg" type="text" name="user" id="user"
                  placeholder="Ingresa tu usuario" formControlName="user" />
              </div>
              <div class="mb-3">
                <label class="form-label" for="password">Contraseña</label>
                <input class="form-control form-control-lg" type="password" name="password" id="password"
                  placeholder="Ingresa tu contraseña" formControlName="password" />
                <small>
                  <a href="https://campusvirtual.continental.edu.pe/setpass/CambiarPassword.aspx">¿Olvidaste tu contraseña?</a>
                </small>
              </div>
              <div class="d-grid gap-2 text-center mt-3">
                <button type="submit" class="btn btn-lg btn-primary" [disabled]="loginForm.invalid">Ingresar</button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
